Every projects endpoint in the WorkBOS API: parameters, request and response shape, and curl, Node and Python samples generated from the spec.
/projects| Name | In | Type | Required |
|---|---|---|---|
| limit | query | integer | No |
| offset | query | integer | No |
| Status | Description |
|---|---|
| 200 | OK |
| 401 | Missing/invalid API key |
curl -X GET "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/projects?limit=20&offset=20" \
-H "Authorization: Bearer YOUR_API_KEY"/projects| Field | Type |
|---|---|
| name | string |
| status | string |
| company_id | string (uuid) |
| pm_id | string (uuid) |
| description | string |
| Status | Description |
|---|---|
| 201 | OK |
| 401 | Missing/invalid API key |
| 403 | Read-only key |
curl -X POST "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/projects" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"string","status":"string","company_id":"00000000-0000-0000-0000-000000000000","pm_id":"00000000-0000-0000-0000-000000000000","description":"string"}'/projects/{id}| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | Yes |
| Status | Description |
|---|---|
| 200 | OK |
| 401 | Missing/invalid API key |
| 404 | Not found |
curl -X GET "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/projects/REPLACE_WITH_ID" \
-H "Authorization: Bearer YOUR_API_KEY"/projects/{id}| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | Yes |
| Field | Type |
|---|---|
| name | string |
| status | string |
| company_id | string (uuid) |
| pm_id | string (uuid) |
| description | string |
| Status | Description |
|---|---|
| 200 | OK |
| 401 | Missing/invalid API key |
| 403 | Read-only key |
| 404 | Not found |
curl -X PATCH "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/projects/REPLACE_WITH_ID" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"string","status":"string","company_id":"00000000-0000-0000-0000-000000000000","pm_id":"00000000-0000-0000-0000-000000000000","description":"string"}'/projects/{id}| Name | In | Type | Required |
|---|---|---|---|
| id | path | string | Yes |
| Status | Description |
|---|---|
| 200 | OK |
| 401 | Missing/invalid API key |
| 403 | Read-only key |
curl -X DELETE "https://dkjdtyzjdkumnpdyezbs.supabase.co/functions/v1/api-v1/projects/REPLACE_WITH_ID" \
-H "Authorization: Bearer YOUR_API_KEY"